Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

### - f -

- factory : Lucene::AttributeSource
- fdt : Lucene::StoredFieldsWriterPerDoc
- field : Lucene::Entry , Lucene::FieldCacheSource , Lucene::FieldCacheTermsFilter , Lucene::FieldMaskingSpanQuery , Lucene::FreqProxFieldMergeState , Lucene::FuzzyTermEnum , Lucene::MultiPhraseQuery , Lucene::NumericComparator< TYPE > , Lucene::OrdFieldSource , Lucene::ParallelArrayTermVectorMapper , Lucene::PhraseQuery , Lucene::QueryParser , Lucene::ReverseOrdFieldSource , Lucene::SegmentTermVector , Lucene::SortField , Lucene::SpanNearQuery , Lucene::SpanOrQuery , Lucene::StringComparatorLocale , Lucene::StringOrdValComparator , Lucene::StringValComparator , Lucene::TermBuffer , Lucene::TermRangeQuery , Lucene::TermRangeTermEnum , Lucene::TermVectorEntry , Lucene::WildcardTermEnum
- FIELD_IS_BINARY : Lucene::FieldsWriter
- FIELD_IS_COMPRESSED : Lucene::FieldsWriter
- FIELD_IS_TOKENIZED : Lucene::FieldsWriter
- fieldCount : Lucene::DocFieldProcessorPerField , Lucene::DocFieldProcessorPerThread
- fieldGen : Lucene::DocFieldProcessorPerThread
- fieldHash : Lucene::DocFieldProcessorPerThread
- fieldInfo : Lucene::DocFieldProcessorPerField , Lucene::DocInverterPerField , Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsTermsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::NormsWriterPerField , Lucene::TermsHashPerField , Lucene::TermVectorsTermsWriterPerField
- fieldInfos : Lucene::DocFieldConsumer , Lucene::DocFieldProcessor , Lucene::DocFieldProcessorPerThread , Lucene::FieldsReader , Lucene::FieldsWriter , Lucene::FormatPostingsFieldsWriter , Lucene::InvertedDocConsumer , Lucene::NormsWriter , Lucene::SegmentMerger , Lucene::SegmentTermEnum , Lucene::StoredFieldsWriter , Lucene::TermInfosReader , Lucene::TermInfosWriter , Lucene::TermsHashConsumer , Lucene::TermVectorsReader , Lucene::TermVectorsWriter
- fieldName : Lucene::FieldCacheEntryImpl , Lucene::PayloadNearQuery
- fieldNormStatus : Lucene::SegmentInfoStatus
- fieldNumbers : Lucene::TermVectorsTermsWriterPerDoc
- fieldPointers : Lucene::TermVectorsTermsWriterPerDoc
- fields : Lucene::DocFieldProcessorPerField , Lucene::Document , Lucene::FieldDoc , Lucene::FieldDocSortedHitQueue , Lucene::FieldValueHitQueue , Lucene::MultiFieldQueryParser , Lucene::Sort , Lucene::TopFieldDocs
- fieldsData : Lucene::AbstractField
- fieldSelections : Lucene::MapFieldSelector
- fieldSortDoMaxScore : Lucene::IndexSearcher
- fieldSortDoTrackScores : Lucene::IndexSearcher
- fieldsReaderLocal : Lucene::SegmentReader
- fieldsStream : Lucene::FieldsReader , Lucene::FieldsWriter
- fieldsStreamTL : Lucene::FieldsReader
- fieldState : Lucene::DocInverterPerField , Lucene::DocInverterPerThread , Lucene::FreqProxTermsWriterPerField , Lucene::NormsWriterPerField , Lucene::TermsHashPerField
- fieldsToLoad : Lucene::SetBasedFieldSelector
- fieldsWriter : Lucene::DocFieldProcessor , Lucene::DocFieldProcessorPerThread , Lucene::StoredFieldsWriter
- fieldToDateResolution : Lucene::QueryParser
- fieldToReader : Lucene::ParallelReader
- fieldToTerms : Lucene::FieldSortedTermVectorMapper , Lucene::PositionBasedTermVectorMapper
- file : Lucene::CompoundFileWriter::FileEntry , Lucene::FileReader , Lucene::InfoStreamFile , Lucene::RAMInputStream , Lucene::RAMOutputStream
- FILE_EOF : Lucene::FileReader
- FILE_ERROR : Lucene::FileReader
- fileBuffer : Lucene::FileReader
- fileMap : Lucene::RAMDirectory
- fileName : Lucene::CompoundFileReader , Lucene::CompoundFileWriter , Lucene::RefCount
- fileOffset : Lucene::CSIndexInput
- files : Lucene::CommitPoint , Lucene::ReaderCommit
- fillFields : Lucene::TopFieldCollector
- filter : Lucene::CachingSpanFilter , Lucene::ConstantScoreQuery , Lucene::SinkTokenStream
- filterCleaner : Lucene::FilterManager
- finalOffset : Lucene::KeywordTokenizer
- finalState : Lucene::CachingTokenFilter , Lucene::SinkTokenStream
- first : Lucene::BucketTable , Lucene::NearSpansUnordered , Lucene::PhraseScorer , Lucene::QueryParser::JJCalls
- firstTime : Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::PhraseScorer
- flags : Lucene::FlagsAttribute , Lucene::Token
- FLOAT : Lucene::SortField
- flushCount : Lucene::IndexWriter
- flushDeletesCount : Lucene::IndexWriter
- flushedDocCount : Lucene::DocumentsWriter
- flushedFiles : Lucene::SegmentWriteState
- flushPending : Lucene::DocumentsWriter
- flushState : Lucene::DocumentsWriter
- format : Lucene::FieldInfos , Lucene::FieldsReader
- FORMAT : Lucene::FieldsWriter , Lucene::SegmentInfos
- format : Lucene::SegmentTermEnum
- FORMAT : Lucene::TermInfosWriter
- format : Lucene::TermVectorsReader
- FORMAT_CHECKSUM : Lucene::SegmentInfos
- FORMAT_CURRENT : Lucene::FieldsWriter , Lucene::TermInfosWriter , Lucene::TermVectorsReader
- FORMAT_DEL_COUNT : Lucene::SegmentInfos
- FORMAT_DIAGNOSTICS : Lucene::SegmentInfos
- FORMAT_HAS_PROX : Lucene::SegmentInfos
- FORMAT_LOCKLESS : Lucene::SegmentInfos
- FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS : Lucene::FieldsWriter
- FORMAT_PRE : Lucene::FieldInfos
- FORMAT_SHARED_DOC_STORE : Lucene::SegmentInfos
- FORMAT_SINGLE_NORM_FILE : Lucene::SegmentInfos
- FORMAT_SIZE : Lucene::TermVectorsReader
- FORMAT_START : Lucene::FieldInfos
- FORMAT_USER_DATA : Lucene::SegmentInfos
- FORMAT_UTF8_LENGTH_IN_BYTES : Lucene::TermVectorsReader
- FORMAT_VERSION : Lucene::TermVectorsReader
- FORMAT_VERSION2 : Lucene::TermVectorsReader
- FORMAT_VERSION_UTF8_LENGTH_IN_BYTES : Lucene::FieldsWriter , Lucene::TermInfosWriter
- formatM1SkipInterval : Lucene::SegmentTermEnum
- formatSize : Lucene::FieldsReader
- freeByteBlocks : Lucene::ByteBlockAllocator
- freeCharBlocks : Lucene::DocumentsWriter
- freeCount : Lucene::DocFieldConsumers , Lucene::DocFieldProcessorPerThread , Lucene::StoredFieldsWriter , Lucene::TermVectorsTermsWriter
- freeIntBlocks : Lucene::DocumentsWriter
- freeLevel : Lucene::DocumentsWriter
- freePostings : Lucene::TermsHashPerThread
- freePostingsCount : Lucene::TermsHashPerThread
- freeTrigger : Lucene::DocumentsWriter
- freq : Lucene::FreqProxFieldMergeState , Lucene::PhraseScorer , Lucene::SpanScorer , Lucene::TermSpans , Lucene::TermVectorsTermsWriterPostingList
- freqBasePointer : Lucene::SegmentTermDocs
- freqOutput : Lucene::DefaultSkipListWriter
- freqPointer : Lucene::DefaultSkipListReader , Lucene::TermInfo
- freqs : Lucene::TermScorer
- freqStart : Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsTermsWriter
- frequency : Lucene::TermVectorEntry
- function : Lucene::PayloadNearQuery , Lucene::PayloadTermQuery
- fuzzyMinSim : Lucene::QueryParser
- fuzzyPrefixLength : Lucene::QueryParser

clucene.sourceforge.net